
type AppProviderType = "regular" | "firebase";

interface AppProviderProps {
  type: AppProviderType,
  token: string | null,
  tokenStorageKey: string | undefined,
  setToken: (newToken: string) => void
}

const defaultAppProviderProps: AppProviderProps = {
  type: "regular",
  token: null,
  tokenStorageKey: undefined,
  setToken: () => {}
};

export { AppProviderProps, defaultAppProviderProps };