type httpRequestType = "GET" | "POST" | "PUT" | "PATCH" | "DELETE";

interface useHttpProps {
  req: httpRequestType,
  url: string,
  params: any | null,
  body: any | null,
  triggerAlert: boolean,
}

interface innerFetch {
  method: httpRequestType,
  headers: any,
  body: string | null
}

export { useHttpProps, innerFetch };